--- title: "SendData" slug: "management-cloudinsight-senddata" updated: 2026-09-17T10:05:41Z published: 2026-09-17T10:05:41Z canonical: "api.ncloud-docs.com/management-cloudinsight-senddata" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # SendData Available in Classic and VPC Send JSON data to the Cloud Insight collector. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /cw_collector/real/data | ### Request headers For information about the headers common to all Cloud Insight APIs, see [Cloud Insight request headers](/docs/en/management-cloudinsight#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). Note For Singapore Region (SGN), you must add `X-NCP-REGION_NO=7` to the request header to ensure that data aggregation and events function properly. ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `cw_key` | String | Required | Product key (cw_key) - See [Cloud Insight metrics](/docs/en/management-cloudinsight-productinfo) | | `data` | Object \| Array | Required | JSON data - Enter predefined data - Enter data in the form of `{key}:{value}` | Note When entering a request, see the following. - Records without `cw_key` are ignored and discarded. - Data elements with records can contain one or more defined metric or dimension fields. ### Request example The request example is as follows: ``` curl --location --request POST 'https://cw.apigw.ntruss.com/cw_collector/real/data' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "cw_key": "**********", "data": { "cpu": 1.5, "sessionCount": 1290, "trafficIn": 12984721, "instanceId": "**********" } }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `result` | String | - | Response result message | | `dataId` | Integer | - | Transfer data ID | | `message` | String | - | Transfer data description | ### Response status codes For response status codes common to NAVER Cloud Platform, see [Cloud Insight API response status codes](/docs/en/management-cloudinsight#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "result":"success", "dataId":-1, "message":"" } ```